Bug 535523 - (RHQ-2209) add the ability to monitor rhq database connection usage
add the ability to monitor rhq database connection usage
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 00:12 EDT by Joseph Marques
Modified: 2015-02-01 18:25 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 18:09:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2009-07-02 00:12:00 EDT
mazz and i did a quick search of libraries that may aide in this effort and he found this -- http://code.google.com/p/log4jdbc/

it seems rather promising overall, but need to do more investigation to see whether it's appropriate.  the FAQ mentions that it doesn't have tight integration with datasources -- http://code.google.com/p/log4jdbc/wiki/FAQ

however, i'm thinking i can work around this by following the strategy another user brought up in the forums:

http://groups.google.com/group/log4jdbc/browse_frm/thread/706611d1b85e210
http://groups.google.com/group/log4jdbc/browse_thread/thread/21e97eda7a48b033

there's also the concern that our use of XA datasources may not be properly supported by this framework.  again, more investigation is needed to determine whether this can work.
Comment 1 Heiko W. Rupp 2009-07-27 06:09:08 EDT
Note that the postgres plugin does as of rev 4597 (RHQ-2021) provide the number of active backends - which corresponds to the total number of connections to the database.
Comment 2 Greg Hinkle 2009-07-31 17:15:42 EDT
For oracle... statement logging: 
http://www.oracle.com/technology/tech/java/sqlj_jdbc/htdocs/jdbc_faq.html#36_02
Comment 3 Charles Crouch 2009-09-01 10:52:31 EDT
Moving features/improvements to 1.4
Comment 4 Red Hat Bugzilla 2009-11-10 16:00:00 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2209

Note You need to log in before you can comment on or make changes to this bug.